OAT
---

Utilities
*********

.. autofunction:: lief.OAT.is_oat

.. autofunction:: lief.OAT.version

.. autofunction:: lief.OAT.android_version

----------

Parser
*******

.. autofunction:: lief.OAT.parse

----------


Binary
******

.. autoclass:: lief.OAT.Binary
  :members:
  :inherited-members:
  :undoc-members:

----------

Header
******

.. autoclass:: lief.OAT.Header
  :members:
  :inherited-members:
  :undoc-members:


----------

DexFile
*******

.. autoclass:: lief.OAT.DexFile
  :members:
  :inherited-members:
  :undoc-members:


----------

Class
*****

.. autoclass:: lief.OAT.Class
  :members:
  :inherited-members:
  :undoc-members:


----------

Method
******

.. autoclass:: lief.OAT.Method
  :members:
  :inherited-members:
  :undoc-members:

----------

Enums
*****

OAT Class types
~~~~~~~~~~~~~~~

.. autoclass:: lief.OAT.OAT_CLASS_TYPES
  :members:
  :inherited-members:
  :undoc-members:


----------


OAT Class Status
~~~~~~~~~~~~~~~~

.. autoclass:: lief.OAT.OAT_CLASS_STATUS
  :members:
  :inherited-members:
  :undoc-members:


----------

Header Keys
~~~~~~~~~~~

.. autoclass:: lief.OAT.HEADER_KEYS
  :members:
  :inherited-members:
  :undoc-members:


----------

Instruction sets
~~~~~~~~~~~~~~~~~

.. autoclass:: lief.OAT.INSTRUCTION_SETS
  :members:
  :inherited-members:
  :undoc-members:

